/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.records;


import com.tabajara.base.tables.Arduinocontrole;
import com.tabajara.base.tables.interfaces.IArduinocontrole;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ArduinocontroleRecord extends UpdatableRecordImpl<ArduinocontroleRecord> implements VertxPojo, Record3<Integer, Integer, Integer>, IArduinocontrole {

    private static final long serialVersionUID = 1120560815;

    /**
     * Setter for <code>public.arduinocontrole.ardcontid</code>.
     */
    @Override
    public ArduinocontroleRecord setArdcontid(Integer value) {
        set(0, value);
        return this;
    }

    /**
     * Getter for <code>public.arduinocontrole.ardcontid</code>.
     */
    @Override
    public Integer getArdcontid() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>public.arduinocontrole.fkardid</code>.
     */
    @Override
    public ArduinocontroleRecord setFkardid(Integer value) {
        set(1, value);
        return this;
    }

    /**
     * Getter for <code>public.arduinocontrole.fkardid</code>.
     */
    @Override
    public Integer getFkardid() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>public.arduinocontrole.fkconid</code>.
     */
    @Override
    public ArduinocontroleRecord setFkconid(Integer value) {
        set(2, value);
        return this;
    }

    /**
     * Getter for <code>public.arduinocontrole.fkconid</code>.
     */
    @Override
    public Integer getFkconid() {
        return (Integer) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return Arduinocontrole.ARDUINOCONTROLE.ARDCONTID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return Arduinocontrole.ARDUINOCONTROLE.FKARDID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field3() {
        return Arduinocontrole.ARDUINOCONTROLE.FKCONID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getArdcontid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getFkardid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component3() {
        return getFkconid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getArdcontid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getFkardid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value3() {
        return getFkconid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinocontroleRecord value1(Integer value) {
        setArdcontid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinocontroleRecord value2(Integer value) {
        setFkardid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinocontroleRecord value3(Integer value) {
        setFkconid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinocontroleRecord values(Integer value1, Integer value2, Integer value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IArduinocontrole from) {
        setArdcontid(from.getArdcontid());
        setFkardid(from.getFkardid());
        setFkconid(from.getFkconid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IArduinocontrole> E into(E into) {
        into.from(this);
        return into;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached ArduinocontroleRecord
     */
    public ArduinocontroleRecord() {
        super(Arduinocontrole.ARDUINOCONTROLE);
    }

    /**
     * Create a detached, initialised ArduinocontroleRecord
     */
    public ArduinocontroleRecord(Integer ardcontid, Integer fkardid, Integer fkconid) {
        super(Arduinocontrole.ARDUINOCONTROLE);

        set(0, ardcontid);
        set(1, fkardid);
        set(2, fkconid);
    }

    public ArduinocontroleRecord(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
